
def web_config
  klass = Class.new do

    def email_recurly_notice
      'recurly-alerts@jamkazam.com'
    end

    def email_generic_from
      'nobody@jamkazam.com'
    end

    def external_hostname
      Capybara.current_session.server.host
    end

    def external_protocol
      'http://'
    end

    def external_port
      Capybara.current_session.server.port
    end

    def external_root_url
     "#{external_protocol}#{external_hostname}#{(external_port == 80 || external_port == 443) ? '' : ':' + external_port.to_s}"
    end


    def aws_bucket
      JAMKAZAM_TESTING_BUCKET
    end

    def aws_access_key_id
      'AKIAJESQY24TOT542UHQ'
    end

    def aws_secret_access_key
      'h0V0ffr3JOp/UtgaGrRfAk25KHNiO9gm8Pj9m6v3'
    end

    def aws_region
      'us-east-1'
    end

    def aws_bucket_public
      'jamkazam-testing-public'
    end

    def aws_cache
      '315576000'
    end

    def verify_email_enabled
      false
    end

    def max_audio_downloads
      10
    end

    def max_track_upload_failures
      10
    end

    def max_track_part_upload_failures
      3
    end

    def icecast_hardcoded_source_password
      'blueberryjam'
    end

    def max_good_full_score
      40
    end

    def max_yellow_full_score
      70
    end

    def max_red_full_score
      100
    end

    def signing_step_max_time
      40 # 40 seconds
    end

    def signing_job_queue_max_time
      20 # 20 seconds
    end

    def one_free_jamtrack_per_user
      true
    end

    def secret_token
      'ced345e01611593c1b783bae98e4e56dbaee787747e92a141565f7c61d0ab2c6f98f7396fb4b178258301e2713816e158461af58c14b695901692f91e72b6200'
    end

    def expire_fingerprint_days
      14
    end

    def found_conflict_count
      1
    end

    def google_public_server_key
      "AIzaSyCPTPq5PEcl4XWcm7NZ2IGClZlbsiE8JNo"
    end

    def estimated_jam_track_time
      40
    end

    def estimated_fast_mixdown_time
      30
    end

    def estimated_slow_mixdown_time
      80
    end

    def num_packaging_nodes
      2
    end

    def download_tracker_day_range
      30
    end

    def guard_against_browser_fraud
      true
    end

    def stripe
      {
          :publishable_key => 'pk_test_HLTvioRAxN3hr5fNfrztZeoX',
          :secret_key      => 'sk_test_OkjoIF7FmdjunyNsdVqJD02D',
          :source_customer => 'cus_88Vp44SLnBWMXq', # seth@jamkazam.com in JamKazam-test account
          :ach_pct         => 0.008,
          :charge_fee      => 0.03
      }
    end

    def musician_count
      '40,000+'
    end

    def email_partners_alias
      "partner-dev@jamkazam.com"
    end

    def test_drive_wait_period_year
      1
    end

    def jam_class_card_wait_period_year
      1
    end

    def rating_dialog_min_time
      false
    end

    def rating_dialog_min_num
      1
    end

    def max_invites_ever_per_sender
      1000 # a low number only hinders test; the ruby rspec test have a lower value and test this feature
    end

    def max_invites_per_day_per_sender
      1000 # a low number only hinders test; the ruby rspec test have a lower value and test this feature
    end

    def max_invites_to_receiver_per_day
      1000 # a low number only hinders test; the ruby rspec test have a lower value and test this feature
    end
  end
  klass.new
end
